Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class AbstractOWLCardinalityBase

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultCls
                  edu.stanford.smi.protegex.owl.model.impl.AbstractRDFSClass
                      edu.stanford.smi.protegex.owl.model.impl.AbstractOWLAnonymousClass
                          edu.stanford.smi.protegex.owl.model.impl.AbstractOWLRestriction
                              edu.stanford.smi.protegex.owl.model.impl.AbstractOWLCardinalityBase

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Cls, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, OWLAnonymousClass, OWLCardinalityBase, OWLClass, OWLRestriction, ProtegeCls, ProtegeInstance, RDFObject, RDFResource, RDFSClass, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

Direct Known Subclasses:
  DefaultOWLCardinality, DefaultOWLMaxCardinality, DefaultOWLMinCardinality

    public abstract class AbstractOWLCardinalityBase

extends AbstractOWLRestriction
implements OWLCardinalityBase

The base class of MaxCardi and OWLMinCardinality.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Constructor Summary
`AbstractOWLCardinalityBase(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id, char operatorChar)`

Method Summary
`void` | `checkFillerText(String text)` Checks the filler from a textual expression.
`static void` | `checkFillerText(String text, RDFProperty property)`
`boolean` | `equalsStructurally(RDFObject object)` Determines whether or not the specified class is structurally equal to this class.
`int` | `getCardinality()` Gets the cardinality value in this restriction.
`Collection` | `getDependingClasses()` Gets all OWLAnonymousClasses the life cycle of which depends on this.
`String` | `getFillerText()` Gets the filler of this restriction for display purposes.
`void` | `getNestedNamedClasses(Set set)` Gets all RDFSClses that are somewhere used in the expression below this.
`RDFSClass` | `getQualifier()` Gets the qualifier class.
`RDFSClass` | `getValuesFrom()` If this is a qualified cardinality restriction, then this gets the owl:valuesFrom property value.
`boolean` | `isQualified()` Checks if this is a qualified cardinality restriction.
`void` | `setCardinality(int value)` Sets the cardinality value in this restriction.
`void` | `setFillerText(String text)` Sets the filler from a (valid) textual expression.
`void` | `setValuesFrom(RDFSClass value)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractOWLRestriction
`checkExpression, getBrowserTextFiller, getBrowserTextPropertyName, getNestedBrowserText, getOnProperty, isDefined, isFillerDefined, setOnProperty`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractOWLAnonymousClass
`getBrowserText, getExpressionRoot, getIcon, getImageIcon, getOwner, isAnonymous, isVisible`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractRDFSClass
`addAnonymousClses, addClassListener, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addSuperclass, addToUnionDomainOf, addVersionInfo, as, canAs, createClone, createInstance, getAbstractOWLModel, getAllValuesFromOnTypes, getBrowserSlotPattern, getComments, getDefinition, getDifferentFrom, getDirectTemplateFacetValue, getDisjointClasses, getDocumentation, getEquivalentClasses, getHasValuesOnTypes, getIconLocation, getInferredInstanceCount, getInferredInstances, getInferredTypes, getInstanceCount, getInstances, getIsDefinedBy, getLabels, getLocalName, getNamedSubclasses, getNamedSubclasses, getNamedSuperclasses, getNamedSuperclasses, getNamespace, getNamespacePrefix, getOWLModel, getParsableExpression, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getPureSuperclasses, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getSubclassCount, getSubclasses, getSuperclassCount, getSuperclasses, getUnionDomainProperties, getUnionDomainProperties, getURI, getVersionInfo, hasEquivalentClass, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValueWithBrowserText, hasPropertyValueWithBrowserText, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isMetaclass, isSubclassOf, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeClassListener, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeSuperclass, removeVersionInfo, setComment, setComments, setDirectBrowserSlotPattern, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, toString`

Methods inherited from class edu.stanford.smi.protege.model.DefaultCls
`addClsListener, addDirectSuperclass, addDirectTemplateSlot, addTemplateFacetValue, addTemplateSlotValue, createDirectInstance, getBrowserSlot, getConcreteSubclasses, getDirectBrowserSlot, getDirectBrowserSlotPattern, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectSubclassCount, getDirectSubclasses, getDirectSuperclassCount, getDirectSuperclasses, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getInheritedBrowserSlot, getInheritedBrowserSlotPattern, getInstanceCount, getInstances, getOverriddenTemplateFacets, getSubclasses, getSuperclasses, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getVisibleDirectSubclassCount, getVisibleDirectSubclasses, getVisibleTemplateSlots, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectTemplateSlot, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasSuperclass, hasTemplateFacet, hasTemplateSlot, isAbstract, isClsMetaCls, isConcrete, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isMetaCls, isRoot, isSlotMetaCls, moveDirectSubclass, moveDirectTemplateSlot, removeClsListener, removeDirectSuperclass, removeDirectTemplateSlot, removeTemplateFacetOverrides, rename, setAbstract, setDirectBrowserSlot, setDirectTypeOfSubclasses, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.OWLRestriction
`getFillerProperty, getOnProperty, getOperator, isDefined, setOnProperty`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.OWLAnonymousClass
`getExpressionRoot, getOwner`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.OWLClass
`getDisjointClasses`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFSClass
`addClassListener, addSuperclass, createClone, createInstance, getEquivalentClasses, getImageIcon, getInferredInstanceCount, getInferredInstances, getInstanceCount, getInstances, getNamedSubclasses, getNamedSubclasses, getNamedSuperclasses, getNamedSuperclasses, getNestedBrowserText, getParsableExpression, getPureSuperclasses, getSubclassCount, getSubclasses, getSuperclassCount, getSuperclasses, getUnionDomainProperties, getUnionDomainProperties, hasEquivalentClass, hasPropertyValueWithBrowserText, isAnonymous, isMetaclass, isSubclassOf, removeClassListener, removeSuperclass`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeCls
`addClsListener, addDirectSuperclass, addDirectTemplateSlot, addTemplateFacetValue, addTemplateSlotValue, createDirectInstance, getBrowserSlotPattern, getConcreteSubclasses, getDirectBrowserSlotPattern, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectSubclassCount, getDirectSubclasses, getDirectSuperclassCount, getDirectSuperclasses, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getInheritedBrowserSlotPattern, getInstanceCount, getInstances, getOverriddenTemplateFacets, getSubclasses, getSuperclasses, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getVisibleDirectSubclassCount, getVisibleDirectSubclasses, getVisibleTemplateSlots, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectTemplateSlot, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasSuperclass, hasTemplateFacet, hasTemplateSlot, isAbstract, isClsMetaCls, isConcrete, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isMetaCls, isRoot, isSlotMetaCls, moveDirectSubclass, moveDirectTemplateSlot, removeClsListener, removeDirectSuperclass, removeDirectTemplateSlot, removeTemplateFacetOverrides, setAbstract, setDirectBrowserSlot, setDirectBrowserSlotPattern, setDirectTypeOfSubclasses, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protege.model.Cls
`getBrowserSlot, getDirectBrowserSlot, getInheritedBrowserSlot, rename`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Constructor Detail

### AbstractOWLCardinalityBase

    public AbstractOWLCardinalityBase(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                      edu.stanford.smi.protege.model.FrameID id,
                                      char operatorChar)

Method Detail

### checkFillerText

    public void checkFillerText(String text)
                         throws Exception

  Description copied from interface: `OWLRestriction`
  Checks the filler from a textual expression. This should be called prior to assigning a new filler value.

  Specified by:
    `checkFillerText` in interface `OWLRestriction`
  Parameters:
    `text` - the potential filler value
  Throws:
    `Exception` - to indicate a parse exception

### checkFillerText

    public static void checkFillerText(String text,
                                       RDFProperty property)
                                throws OWLClassParseException,
                                       NumberFormatException

  Throws:
    `OWLClassParseException`
    `NumberFormatException`

### equalsStructurally

    public boolean equalsStructurally(RDFObject object)

  Description copied from interface: `RDFObject`
  Determines whether or not the specified class is structurally equal to this class. Note that this does not test for structural equivalence using structural subsumption tests.

  Specified by:
    `equalsStructurally` in interface `RDFObject`
  Parameters:
    `object` - The class to test against.
  Returns:
    `true` if the class is structurally equal to this, `false` if the class is not structurally equal to this.

### getCardinality

    public int getCardinality()

  Description copied from interface: `OWLCardinalityBase`
  Gets the cardinality value in this restriction.

  Specified by:
    `getCardinality` in interface `OWLCardinalityBase`
  Returns:
    a positive integer

### getQualifier

    public RDFSClass getQualifier()

  Description copied from interface: `OWLCardinalityBase`
  Gets the qualifier class. If this is a qualified cardinality restriction, then this is the value of the owl:valuesFrom property. Otherwise, this method returns owl:Thing.

  Specified by:
    `getQualifier` in interface `OWLCardinalityBase`
  Returns:
    owl:Thing or the result of `getValuesFrom()`.

### getValuesFrom

    public RDFSClass getValuesFrom()

  Description copied from interface: `OWLCardinalityBase`
  If this is a qualified cardinality restriction, then this gets the owl:valuesFrom property value.

  Specified by:
    `getValuesFrom` in interface `OWLCardinalityBase`
  Returns:
    the qualifier class or null if this is not a qualified cardinality restriction

### getFillerText

    public String getFillerText()

  Description copied from interface: `OWLRestriction`
  Gets the filler of this restriction for display purposes.

  Specified by:
    `getFillerText` in interface `OWLRestriction`
  Returns:
    the filler text (never null)

### getNestedNamedClasses

    public void getNestedNamedClasses(Set set)

  Description copied from interface: `RDFSClass`
  Gets all RDFSClses that are somewhere used in the expression below this. If this is an anonymous class, this traverses the expression tree to collect them. If this is already an RDFSNamedClass, it will return itself.

  Specified by:
    `getNestedNamedClasses` in interface `RDFSClass`
  Parameters:
    `set` - an (initially empty) Set that will contain the nested named classes

### isQualified

    public boolean isQualified()

  Description copied from interface: `OWLCardinalityBase`
  Checks if this is a qualified cardinality restriction. This is true if this has a value for the owl:valuesFrom property.

  Specified by:
    `isQualified` in interface `OWLCardinalityBase`
  Returns:
    true if this is a qualified cardinality restriction

### setCardinality

    public void setCardinality(int value)

  Description copied from interface: `OWLCardinalityBase`
  Sets the cardinality value in this restriction.

  Specified by:
    `setCardinality` in interface `OWLCardinalityBase`
  Parameters:
    `value` - the new cardinality value

### setFillerText

    public void setFillerText(String text)
                       throws Exception

  Description copied from interface: `OWLRestriction`
  Sets the filler from a (valid) textual expression.

  Specified by:
    `setFillerText` in interface `OWLRestriction`
  Parameters:
    `text` - the new filler value
  Throws:
    `Exception` - to indicate a parse exception

### setValuesFrom

    public void setValuesFrom(RDFSClass value)

  Specified by:
    `setValuesFrom` in interface `OWLCardinalityBase`

### getDependingClasses

    public Collection getDependingClasses()

  Description copied from interface: `RDFSClass`
  Gets all OWLAnonymousClasses the life cycle of which depends on this. These are deleted when this is deleted.

  From existing usage, it appears that only the direct anonymous classes are required to be returned - these are then iterated over

  Specified by:
    `getDependingClasses` in interface `RDFSClass`
  Overrides:
    `getDependingClasses` in class `AbstractOWLAnonymousClass`
  Returns:
    a Collection of OWLAnonymousClass instances

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.